fix {base} | R Documentation

## Fix an Object

### Description

`fix` invokes the editor specified in `options("editor")` on `x` and then assigns the new (edited) version of `x` in the user's workspace.

### Usage

    fix(x, ...)

### Arguments

`x` | An R object
`...` | Arguments to pass to editor

### See Also

`edit`, `edit.data.frame`

### Examples

     ## Assume  `my.fun' is a user defined function :
     fix(my.fun)
     ## now my.fun is changed
     ## Also,
     fix(my.data.frame) # calls up data editor
     fix(my.data.frame, factor.mode="char") # use of ...